<?php

use MASCOTCORESATNET\CPT\Shows\CPT_Shows;

if(!function_exists('satnet_get_shows')) {
	/**
	 * Function that Renders Shows list HTML Codes
	 * @return HTML
	 */
	function satnet_get_shows( $container_type = 'container' ) {
		$settings = array();

		$settings['container_type'] = $container_type;

		$html = mascot_core_satnet_get_cpt_shortcode_template_part( 'shows-parts', null, 'shows/archive-tpl', $settings, true );
		echo $html;
	}
}

if ( ! function_exists( 'satnet_get_shows_layout' ) ) {
	/**
	 * Returns Shows Layout Type
	 *
	 */
	function satnet_get_shows_layout() {
		$settings = array();

		$new_cpt_class = CPT_Shows::Instance();
		$settings['ptTaxKey'] = $new_cpt_class->ptTaxKey;

		$settings['holder_id'] = satnet_get_isotope_holder_ID('shows');

		$settings['layout_mode'] = satnet_get_redux_option( 'cpt-settings-shows-archive-layout-mode' );
		$settings['items_per_row'] = satnet_get_redux_option( 'cpt-settings-shows-archive-items-per-row' );
		$settings['gutter'] = satnet_get_redux_option( 'cpt-settings-shows-archive-gutter-size' );
		$settings['featured_image_size'] = satnet_get_redux_option( 'cpt-settings-shows-archive-featured-image-size' );
		$settings['title_tag'] = satnet_get_redux_option( 'cpt-settings-shows-archive-title-tag', 'h4' );
		$settings['settings'] = $settings;

		//Produce HTML version by using the parameters (filename, variation, folder name, parameters)
		$html = mascot_core_satnet_get_cpt_shortcode_template_part( 'shows-grid', null, 'shows/archive-tpl/tpl', $settings, true );
		echo $html;
	}
}